cgGetStringAnnotationValue(3)

NAME
cgGetStringAnnotationValue - get a string-valued annotation's value

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetStringAnnotationValue( CGannotation ann );

PARAMETERS

ann The annotation.

RETURN VALUES
Returns a pointer to a string contained by ann.

Returns NULL if no value is available.

DESCRIPTION
cgStringAnnotationValue allows the application to retrieve the value of a string typed annotation.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

HISTORY
cgGetStringAnnotationValue was introduced in Cg 1.4.

SEE ALSO
the cgGetAnnotationType manpage, the cgGetFloatAnnotationValues manpage, the cgGetStringAnnotationValues manpage, the cgGetBooleanAnnotationValues manpage